Skip to main content
POST
/
basket-items
/
destroy
Remove Basket Item
curl --request POST \
  --url https://api.nuwebgroup.com/v1/basket-items/destroy \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "itemId": 1,
  "basketId": 8
}
'
{
  "id": 5,
  "currencyId": 1,
  "currencySymbol": "Β£",
  "currencyCode": "GBP",
  "hasExpired": false,
  "expiresAt": "2021-01-13T11:03:55.000000Z",
  "expiresAtMilliseconds": 1610535835,
  "items": [],
  "orderItems": [],
  "count": 0,
  "totalExTax": 0,
  "discount": null,
  "tax": 0,
  "taxBreakdown": [],
  "total": 0,
  "totalDeferred": 0,
  "hasTaxes": false,
  "hasDiscounts": false,
  "hasDeferredPayments": false
}

Documentation Index

Fetch the complete documentation index at: https://docs.nuwebgroup.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The 'Bearer' token can be obtained from the token management interface or via the login endpoint using your admin user credentials.

Headers

X-NU-COMPANY-ID
integer

The ID of the company this operation should be performed against.

Accept-Language
string

Sets the preferred language for localised response content (e.g. en, fr, de). If the requested language is not supported by the company, the company fallback language will be assumed.

Body

application/json

Request for deleting a basket item

itemId
integer

The sale item ID which is being removed from the basket.

basketId
integer

The basket ID in which the item is being removed from. Basket IDs and Order IDs can be used interchangeably.

spaceId
integer

The space ID in which the specified sale item ID is located, if you wish to remove a specific seat from the basket (only applies to seated events).

Response

Successfully removed item from the basket.

id
integer
currencyId
integer
currencySymbol
string
currencyCode
string
hasExpired
boolean
expiresAt
string
expiresAtMilliseconds
integer
items
object[]
orderItems
object[]
count
integer
totalExTax
integer
discount
object

The first applied discount code, or null if none.

tax
integer
taxBreakdown
object[]
total
integer
totalDeferred
integer
hasTaxes
boolean
hasDiscounts
boolean
hasDeferredPayments
boolean